Query parameters
cancel_at_period_end boolean Optional
If true, filter companies with an active subscription that is set to cancel at the end of the current period; if false, filter companies without one
credit_type_ids list of strings Optional
Filter companies by one or more credit type IDs (each ID starts with bcrd_)
has_scheduled_downgrade boolean Optional
If true, filter companies that have a pending scheduled downgrade; if false, filter companies that do not
ids list of strings Optional
Filter companies by multiple company IDs (starts with comp_)
monetized_subscriptions boolean Optional
Filter companies that have monetized subscriptions
plan_id string Optional
Filter companies by plan ID (starts with plan_)
plan_ids list of strings Optional
Filter companies by one or more plan IDs (each ID starts with plan_)
plan_version_id string Optional
Filter companies by plan version ID (starts with plvr_)
plan_version_ids list of strings Optional
Filter companies by one or more plan version IDs (each ID starts with plvr_). Takes precedence over plan_version_id when set.
plan_version_unpublished boolean Optional
Filter companies assigned to a plan version that is no longer published, meaning the plan has since moved on to a newer version
q string Optional <=512 characters
Search for companies by name, keys or string traits
sort_order_column string Optional <=255 characters
Column to sort by (e.g. name, created_at, last_seen_at)
sort_order_direction enum Optional
Direction to sort by (asc or desc)
Allowed values: asc desc
subscription_statuses list of enums Optional
Filter companies by one or more subscription statuses
subscription_types list of enums Optional
Filter companies by one or more subscription types
Allowed values: free one_time paid trial
with_entitlement_for string Optional
Filter companies that have an entitlement (plan entitlement or company override) for the specified feature ID
without_feature_override_for string Optional
Filter out companies that have an unexpired company override for the specified feature ID
without_plan boolean Optional
Filter out companies that have a plan
without_subscription boolean Optional
Filter out companies that have a subscription
with_subscription boolean Optional
Filter companies that have a subscription